Εμφάνιση 1-5 από 5
  1. #1
    Εγγραφή
    04-04-2012
    Μηνύματα
    917
    Downloads
    0
    Uploads
    0
    Τύπος
    ADSL2+
    Ταχύτητα
    8192/1024
    ISP
    ΟΤΕ Conn-x
    Router
    Fritz 7270 v3
    καλησπέρα. Έχω 2 μηχανήματα με Debian 8, όπου εδώ και λίγες μέρες δεν μπορώ να κάνω
    Κώδικας:
    apt-get update
    όπως και δεν μου κάνει upgrade ή εγκατάσταση κάποιου πακέτου.
    μέχρι τώρα είχα του ΟΤΕΝΕΤ
    Κώδικας:
    # deb http://debian.otenet.gr/debian/ jessie main
    
    deb http://debian.otenet.gr/debian/ jessie main
    deb-src http://debian.otenet.gr/debian/ jessie main
    
    deb http://security.debian.org/ jessie/updates main
    deb-src http://security.debian.org/ jessie/updates main
    
    # jessie-updates, previously known as 'volatile'
    deb http://debian.otenet.gr/debian/ jessie-updates main
    deb-src http://debian.otenet.gr/debian/ jessie-updates main
    αλλά δοκίμασα επίσης και
    Κώδικας:
    deb http://security.debian.org/ jessie/updates main
    deb-src http://security.debian.org/ jessie/updates main
    
    deb http://archive.debian.org/debian/ jessie-backports main
    deb-src http://archive.debian.org/debian/ jessie-backports main
    
    deb http://archive.debian.org/debian/ jessie main contrib non-free
    deb-src http://archive.debian.org/debian/ jessie main contrib non-free
    το μήνυμα λάθους που εμφανίζει είναι
    Κώδικας:
    Get:1 http://archive.debian.org jessie Release.gpg [2,420 B]
    Hit http://archive.debian.org jessie Release
    E: Release file for http://archive.debian.org/debian/dists/jessie-backports/InRelease is expired (invalid since 48d 12h 25min 25s). Updates for this repository will not be applied.
    root@debian:~#
    Καμιά ιδέα κανείς?

  2. #2
    Εγγραφή
    31-10-2008
    Ηλικία
    53
    Μηνύματα
    1.071
    Downloads
    1
    Uploads
    0
    Ταχύτητα
    8192/384
    ISP
    Conn-x OTE
    DSLAM
    ΟΤΕ - ΙΛΙΣΣΟΣ
    Δεν δοκιμάζεις να αντικαταστήσεις το "jessie" με το "stretch" στο sources.list?
    Υπάρχει κάποιος λόγος να μείνεις στο αρχαίο "jessie"?

  3. #3
    Εγγραφή
    08-03-2007
    Μηνύματα
    13.783
    Downloads
    25
    Uploads
    0
    ISP
    ΟΤΕ Conn-x
    Δεν θυμαμαι που το διαβασα, μαλλον στο reddit, αλλα τα repo για την 8 ειναι πλεον archived και θα τα βρεις στο archive.debian.org, οποτε πρεπει να αλλαξεις τα sources σου αναλογα.
    ديميتريس

  4. #4
    Εγγραφή
    20-12-2005
    Μηνύματα
    2.409
    Downloads
    4
    Uploads
    0
    Τύπος
    VDSL2
    Ταχύτητα
    49997/4997
    ISP
    ΟΤΕ Conn-x
    DSLAM
    ΟΤΕ - ΞΑΝΘΗ
    Router
    Speedport W 724V
    SNR / Attn
    24,4(dB) / (dB)
    Παράθεση Αρχικό μήνυμα από jim_p Εμφάνιση μηνυμάτων
    Δεν θυμαμαι που το διαβασα, μαλλον στο reddit, αλλα τα repo για την 8 ειναι πλεον archived και θα τα βρεις στο archive.debian.org, οποτε πρεπει να αλλαξεις τα sources σου αναλογα.
    Ήδη λέει ότι δοκίμασε το archive (για αυτό μάλιστα παίρνει και σαν αποτέλεσμα το invalid αλλιώς θα έπαιρνε not found 404)

    Quote από εδώ που περιγράφει όλη την κατάσταση.
    The jessie-backports suite was archived on archive.debian.org, so you can use:

    deb http://archive.debian.org/debian/ jessie-backports main contrib non-free
    deb-src http://archive.debian.org/debian/ jessie-backports main contrib non-free

    But then you will run into another issue:

    E: Release file for http://archive.debian.org/debian/dis...orts/InRelease is expired (invalid since 36d 1h 9min 51s). Updates for this repository will not be applied.

    Unfortunately, with the APT version in jessie, this cannot be ignored on a per source basis (it can with the APT version from stretch, using the deb [check-valid-until=no] ... syntax). So you need to disable this check globally, using:

    echo 'Acquire::Check-Valid-Until no;' > /etc/apt/apt.conf.d/99no-check-valid-until

    After that, apt-get update just works.
    Οπότε στην παρούσα φάση πρέπει να αγνοήσεις τα validation check των certificates (σε global επίπεδο λόγω παλιάς έκδοσης apt) ώστε να δέχεται το repo.
    "I like offending people, because I think people who get offended should be offended" - Linus Torvalds

    "Παλιά είχαμε φτωχούς οι οποίοι ζούσανε σε φτωχογειτονιές. Τώρα, η οικονομικά δυσπραγούσα τάξη
    κατέχει στέγες υποδεέστερης ποιότητας σε υποβαθμισμένα αστικά κέντρα" - George Carlin
    Γα.... την πολιτική ορθότητα.

  5. #5
    Εγγραφή
    14-12-2005
    Μηνύματα
    432
    Downloads
    10
    Uploads
    0
    DSLAM
    HOL - ΚΑΛΑΜΑΚΙ
    Μη βάζετε ονόματα: oldstable, stable, testing, sid κ experimental αρκούν. Ο αγαπημένος φιλαράκος ο sid δεν αλλάζει

Bookmarks

Bookmarks

Δικαιώματα - Επιλογές

  • Δεν μπορείτε να δημοσιεύσετε νέα θέματα
  • Δεν μπορείτε να δημοσιεύσετε νέα μηνύματα
  • Δεν μπορείτε να αναρτήσετε συνημμένα
  • Δεν μπορείτε να επεξεργαστείτε τα μηνύματα σας
  •  
  • Τα BB code είναι σε λειτουργία
  • Τα Smilies είναι σε λειτουργία
  • Το [IMG] είναι σε λειτουργία
  • Το [VIDEO] είναι σε λειτουργία
  • Το HTML είναι εκτός λειτουργίας